Subject: Re: [PATCH 06/11] cgroup: fix -Wzero-length-bounds warnings

From: Michal Koutný <[email-masked]>
Date: Tue, 30 Mar 2021 10:41:34 +0200

On Mon, Mar 22, 2021 at 05:02:44PM +0100, Arnd Bergmann <[email-masked]> wrote:
> I'm not sure what is expected to happen for such a configuration,
> presumably these functions are never calls in that case.
Yes, the functions you patched would only be called from subsystems or
there should be no way to obtain a struct cgroup_subsys reference
anyway (hence it's ok to always branch as if ss==NULL).

I'd prefer a variant that wouldn't compile the affected codepaths when
there are no subsystems registered, however, I couldn't come up with a
way how to do it without some preprocessor ugliness.

Reviewed-by: Michal Koutný <[email-masked]>